Jump to content

Recommended Posts

Linux is cool. I have Divinity 2 on my laptop, but it is not a gaming pc, I can only play card games like Magic or Gwent without annoying framedrops. I expected much to get this game on PS4 Pro. Don't get it wrong, it is one of the best games I have now on this system, because I loved POE1 back then. But the publishers on the PS4 seemed to get the game right in the first half, and the farther you proceed in the game, the more bugs there are. The last patch was 1.03 where it was just a "language extension"? O.o 

I have this weird bug where companions ouside my party dying because they are on the map somehow just standing idle by while the enemeis engaging them, ouside my vision. The only workaround is to include them in my party. I am not a hard core gamer now, because life stuff and just want to chill after a hard day ( working on pc) to lean back and play some PS4 ^^

 

 

Link to comment
Share on other sites

I don't know to which company Versus Evil gave the code for porting - but it seems it was done with not that much experience and under severe time limitations. 

Unity itself can be deployed to consoles, but you never know which hacky (or elegant but non-port-friendly) in-house solutions and plugins a game used. For examples with PoE1 I never could see any cloaks because the plugin for cloaks that PoE used wasn't available for Linux.

I guess there are plenty of those problems with porting Deadfire from PC to consoles as well. And usually teting stuff takes the biggest amount of time and manpower but doesn't actually produce things - so it often doesn't get the time and attention that's needed. 

  • Thanks 1

Deadfire Community Patch: Nexus Mods

Link to comment
Share on other sites

On 2/20/2020 at 10:39 PM, thelee said:

For console release, you should be directing it at Versus Evil, not Obsidian.

From what I gathered, Versus Evil is aware of this issue and is desperately working on a patch.

Obsidian is responsible of their game, this is official Deadfire/POE forum...

 

Pillars of Eternity PS4 - RPG fan - Native language French, so please forgive my poor English speaking ...

Link to comment
Share on other sites

On 2/20/2020 at 10:27 PM, Daudastund said:

Every time I want to upgrade equipement related to Xoti, which are her sickle and lantern, causes the game to crash. 

I want Obsidian to adress this in a patch, because it is really gamebreaking for me! :(

Have a look here to find the answer you need (if you have too much enchantable items with you, when you want to upgrade the game crash) look in this topic for help about this :

 

Pillars of Eternity PS4 - RPG fan - Native language French, so please forgive my poor English speaking ...

Link to comment
Share on other sites

8 hours ago, fced said:

Obsidian is responsible of their game, this is official Deadfire/POE forum...

in theory, yes.

 

but if you actually want to do something practically effective and not just theoretically effective, you need to yell at Versus Evil.

  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...